cdac.medinfo.ccd.datatype

## Class ANY

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ANYNonNull, BIN, BL, CD, CR, GLISTPQ, GLISTTS, II, QTY, SLISTPQ, SLISTTS, URL

      public abstract class ANY
      extends java.lang.Object
      implements java.io.Serializable

  Defines the basic properties of every data value. This is an abstract type, meaning that no value can be just a data value without belonging to any concrete type. Every concrete type is a specialization of this general abstract DataValue type.

  Java class for ANY complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ANY">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="nullFlavor" type="{urn:hl7-org:v3}NullFlavor" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ANY()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContent()`
    `java.util.List<java.lang.String>` | `getNullFlavor()` Gets the value of the nullFlavor property.
    `void` | `setContent(java.lang.String content)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ANY

          public ANY()

  - ### Method Detail

    - #### setContent

          public void setContent(java.lang.String content)

    - #### getContent

          public java.lang.String getContent()

    - #### getNullFlavor

          public java.util.List<java.lang.String> getNullFlavor()

      Gets the value of the nullFlavor property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nullFlavor property.

      For example, to add a new item, do as follows:

              getNullFlavor().add(newItem);

      Objects of the following type(s) are allowed in the list `String`